<template>
  <table class="mt-5 table table-striped">
    <thead>
    <tr>
      <th>#</th>
      <th>Vorname</th>
      <th>Nachname</th>
      <th>Alter</th>
      <th class="text-end">Aktionen</th>
    </tr>
    </thead>
    <tbody>
    <PersonEntry v-for="person in personStore.persons" :person="person" />
    </tbody>
  </table>
</template>

<script setup>
  import { usePersonStore } from '@/stores/personStore'
  import PersonEntry from '@/components/PersonEntry.vue'

  const personStore = usePersonStore()
</script>
